$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.12.0-133.2.beta/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.12.0-133.2.beta/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '7a68d3aaec53061a81eb74d1b9402a2078b0dd1b9cecbb4b0b40b8d18ab80bd4'
  checksumType   = 'sha256'
  checksum64     = '21650b354fa93d939217b03f36c32379e4a42ad86976e7ad82ad7ee920b27867'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
